# Google Customer Reviews

Integrates Google Customer Reviews into your Drupal site. Google Customer Reviews is a free service that enables Google to collect valuable feedback from customers who’ve made a purchase on your site.

## Features
* Optional block to place the Badge anywhere on your site.
* Checkout pane to display survey opt-in and fill order details in survey.

## Installation

1. Run `composer require drupal/google_customer_reviews`
2. Install the module `drush pm:enable google_customer_reviews`
3. Clear the cache `drush cr`

## Usage
Get your merchant ID from the [Google Merchant Center](https://merchants.google.com/). It is visible in the upper right of the screen.

Configure the module with your merchant ID at /admin/config/services/google-customer-reviews
Configure how you want the opt-in to appear and input an average delivery time. This is how many days Google will wait to contact the customer via email to leave a review after purchase.

Place the Google Customer Reviews Badge block in your site's block layout to display your website's current Google Customer Reviews rating.

The checkout pane will automatically be placed on the complete step of your default checkout flow. It will need to be manually placed in other checkout panes.

## Caveats
- The badge and survey will not display anywhere except for the domain configured in your merchant profile. When viewing your site in a local development environment the badge and survey opt-in will not appear.

- It will take up to a week after integrating the module into your site for the Google Customer Reviews merchant center dashboard to show survey statistics. The warning about the integration not functioning will take the same amount of time to disappear.

- After surveys are sent and customers leave reviews it will take up to a week for them to show up in the dashboard.

- The badge will only show a rating once a merchant has collected enough reviews. It is on a per country basis. If there are not enough reviews for a customer's country they will not see a rating. This is a policy set by Google.

## Related Modules

Google Customer Reviews is the integration with Google Shopping and the reviews collected are for a website (domain).

Google also has reviews for physical businesses which is part of Google Maps. If you are looking for a module to integrate with that see the related module, [Google reviews ](https://www.drupal.org/project/googlereviews).